REBOOT(8)

NAME
reboot, halt - stopping and restarting the system

SYNOPSIS
halt [-dnpq]
reboot [-dnq]

DESCRIPTION
The halt and reboot utilities flush the file system cache to disk, execute the rc.d(8) scripts specified by the pkg_scripts variable defined in rc.conf(8) in a reverse order, run the system shutdown script, send all running processes a SIGTERM (and subsequently a SIGKILL), and, respectively, halt or restart the system. The action is logged, including entering a shutdown record into the login accounting file.

The options are as follows:

-d  Causes system to create a dump before rebooting. This option is useful for debugging system dump procedures or capturing the state of a corrupted or misbehaving system. See savecore(8) for information on how to recover this dump.

-n  Prevent file system cache from being flushed. This option should probably not be used.

-p  Causes the system to power down, if it is being halted, and the hardware supports automatic power down.

-q  Quick. The system is halted or restarted quickly and ungracefully, and only the flushing of the file system cache is performed. This option should probably not be used.

Normally, the shutdown(8) utility is used when the system needs to be halted or restarted, giving users advance warning of their impending doom.

SEE ALSO
reboot(2), utmp(5), boot_alpha(8), boot_amd64(8), boot_hppa(8), boot_i386(8), boot_luna88k(8), boot_macppc(8), boot_sparc(8), boot_sparc64(8), boot_zaurus(8), rc.d(8), rc.shutdown(8), savecore(8), shutdown(8), sync(8)

HISTORY
A reboot command appeared in AT&T UNIX.